# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/aiwei

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 主库
    primary:
      username: root
      password: mu123
      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 从库
    slave:
      username: root
      password: mu123
      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava_slave?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    hibernate:
      ddl-auto: none      # JPA对表没有任何操作
    show-sql: true
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 2691784047
  appKey: dinghbynhnd2dbgypmsa
  appSecret: Kl5Xw8x0TlEIlvcJuUkYZD18UTTShJmfdKrAIpY8oX-Q_tazyUKA28nQh7dG5-mq
  corpId: ding321c72787fffc78b35c2f4657eb6378f
  aesKey:
  token:
  operator: "095358016629044412"   # OA管理员账号

#  aliwork
aliwork:
  appType: "APP_H7WUJTKB448F9IBDC6C4"
  systemToken: "DHA66081DN6GRFNC6GTRW5NIJS082ZF0UN9PLLF"

# teambition
teambition:
  AppID: 65956b5dd0ac095d62d0e592
  AppSecret: gjQUoqKa1PHjTiyQFFuachfqKPyNeacA
  TenantId: 6034c885e71842e1e5bb5218        # 管理后台 - 企业xx - 企业ID
  OperatorId: 5e698cca21f5ad70dfba7d2b      # 公共账号, 需要有操作权限 [牧语]

## aliwork - prod
#aliwork:
#  appType: "APP_R5EBUF2FPN3Y8DRF93M4"
#  systemToken: "ON566NC1VNIHPANP9TNVHB3TBIWS3E0TUZ5RLF3"
#
## dingtalk
#dingtalk:
#  agentId: 2848797049
#  appKey: dingbqy1qugrihao43dl
#  appSecret: UUaTKTWgLdduHvMSl0ipm19f_PDarHLHqnpz4vFZXjkkmFNmfWuwoPF1evjIRwvd
#  corpId: ding5fcad818b0d9f62c35c2f4657eb6378f
#  aesKey:
#  token:
#  operator: "0249EDD1-754E-44C8-87F0-255B0E32021F"   # OA管理员账号

